Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

How to install Memcached in EA4 and PHP72

Discussion in 'EasyApache' started by Mopar1973Man, Mar 9, 2018.

Tags:
  1. Mopar1973Man

    Mopar1973Man Member

    Joined:
    Mar 9, 2018
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    New Meadows, Idaho
    cPanel Access Level:
    Website Owner
    I'm looking for updated instructions for installing memcached on EA4 and PHP7.2. So far I keep running into really old posts here dating back to 2011 in some cases. I'm looking for 2018 information. Being I've found the Memcached PECL file supports PHP 7.2 but it just creates a long string of errors in WHM attempting to install.
     
    #1 Mopar1973Man, Mar 9, 2018
    Last edited by a moderator: Mar 9, 2018
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    43,903
    Likes Received:
    1,814
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. Mopar1973Man

    Mopar1973Man Member

    Joined:
    Mar 9, 2018
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    New Meadows, Idaho
    cPanel Access Level:
    Website Owner
    Doesn't answer my question. I'm looking to install Memcached with PHP 7.2. That link doesn't allow PHP7.2 installs.

    Here is the PECL page and its stable for PHP 7.2. So how do you install this?
    PECL :: Package :: memcached :: 3.0.4
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    43,903
    Likes Received:
    1,814
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    The EA4 experimental repo does not support the use of memcache/memcached with PHP 7.2 at this time. Have you tried the manual installation instructions on this thread? At the bottom of the first post, there's a button you can expand named "Previous Workaround Instructions". While it only extends to PHP 7.1, you can use the same method to install the PECL module PHP 7.2. As I understand, the latest stable build on the Memcached PECL module notes it supports PHP 7.2:

    GitHub - php-memcached-dev/php-memcached: memcached extension based on libmemcached library

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. Mopar1973Man

    Mopar1973Man Member

    Joined:
    Mar 9, 2018
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    New Meadows, Idaho
    cPanel Access Level:
    Website Owner
    Ok. I finally made it out the other side and got it installed. The old article is barely enough to get it installed and working. Really have to watch the php version numbers in the path. Then you have to make sure to install igbinary. Again the key is watching the versions of software and php version in the path.

    It would really be helpful if you had an update on that forum post.
     
  6. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    43,903
    Likes Received:
    1,814
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    I've updated the initial post in that thread to include PHP 7.2 instructions under the previously provided workaround section.

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice